#include "fpga.h"
#include "fpga_global.h"

int fpga_generate_bitstream(struct fpga_cell *cell)
{
	struct fpga_cell *current_cell = cell;
	enum fpga_isp_channel current_channel = FPGA_ISP_CHANNEL_NORMAL;

	while (current_cell) {
		report(LL_DEBUG,
		       "Adding %p (%c) to ISP chain.",
		       current_cell, current_cell->type->identifier);
		current_cell = current_cell->type->get_next_isp(current_cell,
								&current_channel);
		if (current_channel == FPGA_ISP_CHANNEL_ERROR)
			return 1;
	}

	report(LL_INFO,
	       "Bitstream generation finished.");

	return 0;
}
